///////////////////
//skybox:

textures/el_conselor/shadowsky
{
        
	q3map_lightimage textures/el_conselor/lightref00.tga
        qer_editorimage textures/el_conselor/el_skybox.tga
        q3map_surfacelight 112
        surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nolightmap
        surfaceparm sky
        q3map_sun 1 1 1 75 110 60 
	skyParms env/noir 512 -
}

///////////////////
//lumieres:

textures/el_conselor_2/el_transporterpad
{
    q3map_surfacelight 50
    surfaceparm nolightmap
    {
        map textures/el_conselor_2/el_transporterpad.tga
    }
}

textures/el_conselor/el_spottrim01_glow
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_conselor/el_spottrim01_glow.tga
    }
}

textures/el_conselor/el_spottrim02
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_conselor/el_spottrim02.tga
    }
}

textures/el_conselor_2/el_floorlight00
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_conselor_2/el_floorlight00.tga
    }
}

textures/el_conselor_2/el_contelepanel01
{
    q3map_surfacelight 50
    surfaceparm nolightmap
    {
        map textures/el_conselor_2/el_contelepanel01.tga
    }
}

///////////////////
//shines:

textures/el_conselor/el_chrome
{
    {
        map textures/el_conselor/el_chrome.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_conselor/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_conselor_2/el_telepads
{
    {
        map textures/el_conselor_2/el_telepads.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_conselor/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_conselor_2/el_glasspanel
{
    {
        map textures/el_conselor_2/el_glasspanel.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_conselor/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_conselor/el_oven01
{
    {
        map textures/el_conselor/el_oven01.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_conselor/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_conselor/el_oven02
{
    {
        map textures/el_conselor/el_oven02.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_conselor/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_conselor/el_oven03
{
    {
        map textures/el_conselor/el_oven03.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_conselor/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

///////////////////
//Misc:

textures/el_conselor/s_bottle1
{
surfaceparm nomarks
surfaceparm trans
surfaceparm alphashadow
deformvertexes autosprite2
cull disable
{
map textures/el_conselor/s_bottle1.tga
alphaFunc GE128
blendFunc GL_ONE GL_ZERO
rgbGen identity
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
rgbGen identity
}
}

textures/el_conselor/s_bottle2
{
surfaceparm nomarks
surfaceparm trans
surfaceparm alphashadow
deformvertexes autosprite2
cull disable
{
map textures/el_conselor/s_bottle2.tga
alphaFunc GE128
blendFunc GL_ONE GL_ZERO
rgbGen identity
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
rgbGen identity
}
}