
///////////general tex:

textures/el_conselor_ext/el_glasso01
{
    qer_editorimage textures/el_conselor_ext/el_glasso01.tga
    qer_trans 0.5
    surfaceparm nolightmap
    surfaceparm trans
    tessSize 48
    {
        map textures/el_conselor_ext/el_glasso01.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
        map textures/el_conselor_ext/el_glasso01.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

///////////hull:

textures/el_conselor_ext/el_conhull00
{
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/el_conhull00.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_conselor_ext/el_conhull02
{
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/el_conhull02.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_conselor_ext/el_conhull03
{
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/el_conhull03.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_conselor_ext/el_conhull04
{
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/el_conhull04.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_conselor_ext/el_contrim01
{
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/el_contrim01.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_conselor_ext/el_trackbeamemiter
{
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/el_trackbeamemiter.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_conselor_ext/el_landinggear
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/landinggear.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_conselor_ext/el_landinggear1
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/landinggear1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_conselor_ext/el_landinggear2
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/landinggear2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_conselor_ext/el_cooler
{
    q3map_surfacelight 200
    surfaceparm nolightmap
    {
        map textures/el_conselor_ext/el_cooler.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_conselor/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

///////////Engines:

textures/el_conselor_ext/el_nacelles01
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/el_nacelles01.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/el_conselor_ext/el_nacelles01_glow.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.4 0.2 0.25 0.4
    }
}

textures/el_conselor_ext/el_nacelles03
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_conselor_ext/el_nacelles03.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/el_conselor_ext/el_nacelles03_glow.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.4 0.2 0.25 0.4
    }
}

///////////all lights:

textures/el_conselor_ext/el_collector
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_conselor_ext/el_collector.tga
    }
}

textures/el_conselor_ext/el_launcher
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_conselor_ext/el_launcher.tga
    }
}

textures/el_conselor_ext/el_phaseremiter
{
    q3map_surfacelight 1000
    surfaceparm nolightmap
    {
        map textures/el_conselor_ext/el_phaseremiter.tga
    }
}

textures/el_conselor_ext/el_senseremiter
{
    q3map_surfacelight 1000
    surfaceparm nolightmap
    {
        map textures/el_conselor_ext/el_senseremiter.tga
    }
}

textures/el_conselor_ext/el_poslightvert
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_conselor_ext/el_poslightvert.tga
    }
}

textures/el_conselor_ext/el_poslightblanc
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_conselor_ext/el_poslightblanc.tga
    }
}

///////////F/X:

textures/el_conselor_ext/ext_zethapike
{
    surfaceparm trans
    cull disable
    {
        map textures/el_conselor_ext/ext_zethapike.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_conselor_ext/ext_eauzetha
{
    qer_trans 0.70
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm water
    surfaceparm pointlight
    deformVertexes wave 100 sin 0 4 0 0.75
    tessSize 192
    {
        map textures/el_conselor_ext/ext_eauzetha.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.05 -0.03
    }
    {
        map textures/el_conselor_ext/ext_eauzetha.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.045 0.05
    }
}

///////////Skybox:

textures/el_conselor_ext/el_con_sky1
{
        
	q3map_lightimage textures/el_conselor/lightref00.tga
        qer_editorimage textures/el_conselor/el_skybox.tga
        q3map_surfacelight 85
        surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nolightmap
        surfaceparm sky
        q3map_sun 1 1 1 75 90 90 
	skyParms env/stars 512 -
}

textures/el_conselor_ext/el_con_sky2
{
        
	q3map_lightimage textures/el_conselor/lightref00.tga
        qer_editorimage textures/el_conselor/el_skybox.tga
        q3map_surfacelight 95
        surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nolightmap
        surfaceparm sky
        q3map_sun 1 1 1 75 90 90 
	skyParms env/stars 512 -
}

///////////Fin.